Skip to main content
POST
/
cards
Create a card
curl --request POST \
  --url https://kan.bn/api/v1/cards \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "listPublicId": "<string>",
  "labelPublicIds": [
    "<string>"
  ],
  "memberPublicIds": [
    "<string>"
  ],
  "dueDate": "<string>"
}
'
import requests

url = "https://kan.bn/api/v1/cards"

payload = {
"title": "<string>",
"description": "<string>",
"listPublicId": "<string>",
"labelPublicIds": ["<string>"],
"memberPublicIds": ["<string>"],
"dueDate": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
listPublicId: '<string>',
labelPublicIds: ['<string>'],
memberPublicIds: ['<string>'],
dueDate: '<string>'
})
};

fetch('https://kan.bn/api/v1/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "publicId": "<string>"
}
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
title
string
required
Required string length: 1 - 2000
description
string
required
Maximum string length: 10000
listPublicId
string
required
Minimum string length: 12
labelPublicIds
string[]
required
Minimum string length: 12
memberPublicIds
string[]
required
Minimum string length: 12
position
enum<string>
required
Available options:
start,
end
dueDate
string | null

Response

Successful response

publicId
string
required